> ## Documentation Index
> Fetch the complete documentation index at: https://cobalt-55-abhishek.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Variable Value

> Delete an environment-variable value by ID.

Hard-delete a variable value document by its ID. For linked-account-scoped values, linked-account auth is verified.

## Authentication

<ParamField header="x-api-key" type="string" required>Your Refold API key.</ParamField>
<ParamField header="linked_account_id" type="string">Required for linked-account-scoped values.</ParamField>

<Note>
  For linked-account-scoped values you may instead authenticate with a session token (`Authorization: Bearer ...`).
</Note>

## Path Parameters

<ParamField path="value_id" type="string" required>The value document ID (returned by [Set Variable Value](/v3/api-reference/environment-variables/set-value)).</ParamField>

## Response

<Tabs>
  <Tab title="200 OK">
    <ResponseField name="status" type="string">`success`.</ResponseField>
    <ResponseField name="message" type="string">Confirmation message.</ResponseField>
  </Tab>

  <Tab title="404 Not Found">
    <ResponseField name="status_code" type="integer">HTTP status code.</ResponseField>
    <ResponseField name="http_error_type" type="string">Error category.</ResponseField>
    <ResponseField name="error_code" type="string">Internal error code.</ResponseField>
    <ResponseField name="message" type="string">Human-readable error description.</ResponseField>
  </Tab>
</Tabs>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": "success",
    "message": "Variable value for \"API_SECRET\" deleted successfully"
  }
  ```

  ```json 404 theme={null}
  {
    "status_code": 404,
    "http_error_type": "NOT_FOUND",
    "error_code": "RESOURCE_NOT_FOUND",
    "message": "Variable value not found"
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://app.refold.ai/api/v2/public/env/values/{value_id}" \
    -H "x-api-key: YOUR_API_KEY" \
    -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID"
  ```
</RequestExample>
